Subject: bug#68146: closed (Re: [bug#68146] [PATCH v2 3/3] gnu: labwc: Update to 0.7.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Feb 2024 03:29:02 +0000

Your bug report

#68146: [PATCH 0/3] Update labwc, wlroots, and shuffle some deps around

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68146: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68146
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68146] [PATCH v2 3/3] gnu: labwc: Update to 0.7.0.
From: John Kehayias <[email-masked]>
To: Ahmad Draidi <[email-masked]>
Cc: Simon Tournier <[email-masked]>, [email-masked],Ludovic Courtès <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Ricardo Wurmus <[email-masked]>, Raghav Gururajan <[email-masked]>, jgart <[email-masked]>, Mathieu Othacehe <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked]
Date: Tue, 20 Feb 2024 03:27:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ahmad,

On Sun, Feb 04, 2024 at 05:54 PM, Ahmad Draidi wrote:

> * gnu/packages/wm.scm (labwc): Update to 0.7.0.
>
> Change-Id: I35f7faf2ba3975481780b49d0dcdef6f39af46bc
> ---
> v2: Rebase
>

Thanks! The first patch, for libdisplay-info was no longer needed as a
patch to add that was pushed in
b23fd4fb3e345d7c17b0e668bf790d310426f02b.

I pushed the second two patches starting at
b4148713d18c4b6c37639653de5191eb7f1ca4cc (very minor change in a commit
message) after checking wlroots and a couple of dependents build locally
though QA already looked good.

As an aside, we are closer now to adding hyprland which I have working
locally from another channel. On mesa-updates I will do the libdrm
update which is the only blocker besides adding some packages, I
believe. We'll also need a newer, pre-release, version of wlroots as
hyprland seems to track the latest commits.

Thanks again!
John

>  gnu/packages/wm.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 78af2fb210..85bb6de834 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -3023,7 +3023,7 @@ (define-public libucl
>  (define-public labwc
>    (package
>      (name "labwc")
> -    (version "0.6.5")
> +    (version "0.7.0")
>      (source (origin
>                (method git-fetch)
>                (uri (git-reference
> @@ -3032,7 +3032,7 @@ (define-public labwc
>                (file-name (git-file-name name version))
>                (sha256
>                 (base32
> -                "04401k1i6b9s2v6mbhw5llla8fdpkhmgz826iva246iqch9z20lx"))))
> +                "17p3wcnggnd4v37z1dgv8nmc35nq4261s8sglr44bf71vjircggz"))))
>      (build-system meson-build-system)
>      (native-inputs
>       (list pkg-config gettext-minimal scdoc))

Subject: [PATCH 0/3] Update labwc, wlroots, and shuffle some deps around
From: Ahmad Draidi <[email-masked]>
To: [email-masked]
Cc: Ahmad Draidi <[email-masked]>
Date: Sat, 30 Dec 2023 17:21:59 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

The notable change in this patch series is that it updates wlroots to 0.17 since
it's required by labwc 0.7, but also retains wlroots 0.16 as wlroots-0.16 and
switches wlroots users to it, since they don't support 0.17 yet.

Ahmad Draidi (3):
  gnu: Add libdisplay-info.
  gnu: Update wlroots to 0.17.1.
  gnu: labwc: Update to 0.7.0.

 gnu/local.mk                                  |  1 +
 gnu/packages/freedesktop.scm                  | 40 ++++++++++++++++
 .../patches/wlroots-hwdata-fallback.patch     | 46 +++++++++++++++++++
 gnu/packages/wm.scm                           | 41 +++++++++++++----
 gnu/packages/zig-xyz.scm                      |  2 +-
 5 files changed, 119 insertions(+), 11 deletions(-)
 create mode 100644 gnu/packages/patches/wlroots-hwdata-fallback.patch

base-commit: 4d8b93e865ba71d2baa606d11529c3ecb5f14aea
-- 
2.41.0